Skip to main content
POST
/
api
/
v1
/
customer
/
support-cases
/
{supportCaseId}
/
satisfaction-rating
Create Support Satisfaction Rating
curl --request POST \
  --url https://api.example.com/api/v1/customer/support-cases/{supportCaseId}/satisfaction-rating \
  --header 'Content-Type: application/json' \
  --data '
{
  "rating": 5,
  "comment": "Atendimento resolveu meu problema."
}
'
{
  "statusCode": 400,
  "message": "Bad Request Error",
  "errors": [
    {
      "code": "invalid_type",
      "message": "Required",
      "path": "name"
    }
  ]
}

Path Parameters

supportCaseId
string<uuid>
required

Support case identifier.

Query Parameters

fields
string

Comma-separated list of fields to include in the response. Supports dot notation.

Body

application/json

Support satisfaction rating payload.

rating
integer
required

Support rating from 1 to 5.

Required range: 1 <= x <= 5
Example:

5

comment
string | null

Customer comment.

Example:

"Atendimento resolveu meu problema."

Response

No Content